#!/bin/bash

tmpf=/tmp/cashexit.dlg
tmpresult=/tmp/autostart_force_result

trap "[ -f $tmpf ] && rm -f $tmpf" 0 1 2 5 15

startup="yes"

function startup_script {
    if [ "$startup" = "yes" ] ; then
        # do startup
        for script in startup/[0-9]* ; do
            . $script
        done
    fi

    startup="no"
}

run='yes'

while [ $run = 'yes' ] ; do

    startup_script

    if [ "$(lsb_release -s -c)" != "trusty" ] ; then
        systemctl list-jobs | grep -q -e "shutdown.target.*start"
        if [ $? = 0 ] ; then
            run='no'
        fi
    fi

    pkill --signal 9 artix-gui

    if test -s $tmpresult; then
        # Файл должен содержать команду, например menu/40_reboot
        id=`cat $tmpresult`
        . $id
        rm -f $tmpresult
    else
        ./make_menu.py | xargs dialog 2> $tmpf
        ret=$?

        case $ret in
            0)
            if test -s $tmpf; then
                id=`cat $tmpf`
                . `./ith.py $id`
            fi
            ;;
            1)
            ;;
            255)
            ;;
        esac
    fi
done
